Bug 523169 - Initscript: ipmidetectd and bmc-watchdog missing actions
Summary: Initscript: ipmidetectd and bmc-watchdog missing actions
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: freeipmi
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-14 10:32 UTC by Petr Šplíchal
Modified: 2016-06-01 01:38 UTC (History)
3 users (show)

Fixed In Version: freeipmi-0.7.12-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-05 13:07:47 UTC


Attachments (Terms of Use)

Description Petr Šplíchal 2009-09-14 10:32:59 UTC
Description of problem:

The ipmidetectd initscript does not provide actions requested by
the Fedora Initscript Guidelines.

Version-Release number of selected component (if applicable):
freeipmi-ipmidetectd-0.7.9-1.fc12.i586

force-reload
 * action is missing (required by lsb specification)

try-restart
 * action is missing (optional)
 * but condrestart is already implemented
 * just provide the "try-restart" alias (lsb specification)

Additional info:
https://fedoraproject.org/wiki/Packaging:SysVInitScript#Required_Actions

Comment 1 Jan Safranek 2009-09-14 10:52:57 UTC
freeipmi-ipmidetectd-0.7.9-1.fc12.i586 does not look like Fedora 9, moving to rawhide :).

Comment 2 Petr Šplíchal 2009-09-14 14:48:10 UTC
The same applies to freeipmi-bmc-watchdog script.

Comment 3 Jan Safranek 2009-10-05 13:07:47 UTC
My patches were accepted upstream and they should be part of upcoming
freeipmi-0.8.1 release.


Note You need to log in before you can comment on or make changes to this bug.